Subject: Re: [PATCH v3 0/6] update-ref: add symref support for --stdin

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 5 Jun 2024 10:02:25 +0200

On Thu, May 30, 2024 at 03:09:34PM +0300, Karthik Nayak wrote:
> From: Karthik Nayak <[email-masked]>
> 
> The 'update-ref' command is used to update refs using transactions. The
> command allows users to also utilize a '--stdin' mode to provide a
> batch of sub-commands which can be processed in a transaction.
> 
> Currently, the sub-commands involve {verify, delete, create, update}
> and they allow users to work with regular refs in the repository. To
> work with symrefs, users only have the option of using
> 'git-symbolic-ref', which doesn't provide transaction support to the
> users eventhough it uses the same behind the hood.
> 
> Recently, we modified the reference backend to add symref support,
> following which, 'git-symbolic-ref' also uses the transaction backend.
> But, it doesn't expose this to the user. To allow users to work with
> symrefs via transaction, this series adds support for new sub-commands
> {symrer-verify, symref-delete, symref-create, symref-update} to the
> '--stdin' mode of update-ref. These complement the existing
> sub-commands.
> 
> The patches 1, 5 fix small issues in the reference backends. The other
> patches 2, 3, 4 & 6, each add one of the new sub-commands.
> 
> The series is based off master, with 'kn/ref-transaction-symref' merged
> in. There seem to be no conflicts with 'next' or 'seen'.
> 
> There was some discussion [1] also about adding `old_target` support to
> the existing `update` command. I think its worthwhile to do this with
> some tests cleanup, will follow that up as a separate series.
> 
> Changes since v2:
> * Based off 'ps/fixleaks' (commit: ebdbefa4fe9f618347124b37d44e517e0c6a3e4c)
> which brought to light two leaks, which have been fixed.
> * Adding credit where it's due.
> 
> [1]: https://lore.kernel.org/r/CAOLa=ZQW-cCV5BP_fCvuZimfkjwAzjEiqXYRPft1Wf9kAX=[email-masked]
> 
> I used the '--range-diff' flag for 'git-format-patch(1)' this time.
> Also I'm on vacation at the moment, so my responses are a bit slower than usual.

Thanks, overall this looks good to me. I've got a small couple of nits,
none of which are mandatory to be addressed from my point of view.

Patrick